Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.io.datastore.sql
Class StatementBuffer.StatementArgument

    java.lang.Object
      org.deegree.io.datastore.sql.StatementBuffer.StatementArgument

Enclosing class:
  StatementBuffer

    public class StatementBuffer.StatementArgument

extends Object

Encapsulates an argument value and the SQL type code for the target column.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Markus Schneider, last edited by: $Author: mschneider $

Constructor Summary
`StatementBuffer.StatementArgument(Object argumentValue, int typeCode)` Creates a new instance of `StatementBuffer.StatementArgument`.

Method Summary
`Object` | `getArgument()` Returns the argument value.
`int` | `getTypeCode()` Returns the SQL type code for the column that is targeted by the argument.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StatementBuffer.StatementArgument

    StatementBuffer.StatementArgument(Object argumentValue,
                                      int typeCode)

  Creates a new instance of `StatementBuffer.StatementArgument`.

  Parameters:
    `argumentValue` - argument for a statement
    `typeCode` - SQL type code of the target column

Method Detail

### getArgument

    public Object getArgument()

  Returns the argument value.

  Returns:
    the argument value

### getTypeCode

    public int getTypeCode()

  Returns the SQL type code for the column that is targeted by the argument.

  Returns:
    the SQL type code for the column that is targeted by the argument

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org